import "Turbine"
import "Turbine.UI.Lotro"
import "Turbine.Gameplay"

function math.format( number )
    local left, num, right = string.match( number, "^([^%d]*%d)(%d*)(.-)$" )
	return left .. num:reverse():gsub( "(%d%d%d)", "%1," ):reverse() .. right
end

Player = Turbine.Gameplay.LocalPlayer.GetInstance()

local screen_w, screen_h = Turbine.UI.Display.GetSize()

Window = Turbine.UI.Lotro.Window()
Window:SetPosition( screen_w / 2 - 200, 100 )
Window:SetSize( 400, 144 )
Window:SetText( "Outgoing Healing Rating" )

local label = Turbine.UI.Lotro.TextBox()
label:SetParent( Window )
label:SetText( tostring( math.format( math.floor( Player:GetAttributes():GetOutgoingHealing() + 0.5 ) ) ) )
label:SetPosition( 48, 48 )
label:SetSize( 300, 32 )
label:SetTextAlignment( 5 )

local button = Turbine.UI.Lotro.Button()
button:SetParent( Window )
button:SetText( "Refresh" )
button:SetSize( 128, 64 )
button:SetPosition( 136, 100 )

function button:MouseClick()
    label:SetText( tostring( math.format( math.floor( Player:GetAttributes():GetOutgoingHealing() + 0.5 ) ) ) )
end

command = Turbine.ShellCommand()

function command:Execute( _, str )
    if str == nil or string.len( str ) == 0 then
        return
    end

    local list  = { }
    local index = 1

    for word in str:gmatch( "%w+" ) do
        list[ index ] = word
        index = index + 1
    end

    local cmd = string.lower( list[ 1 ] )

    if cmd == "show" then
        Window:SetVisible( true )
    else
        Turbine.Shell.WriteLine( "Invalid command: " .. cmd )
    end
end

Turbine.Shell.AddCommand( "healrating", command )